<?php
defined('BASEPATH') or exit('No direct script access allowed');
date_default_timezone_set('Asia/Jakarta');
class KategoriPasien extends CI_Controller
{

	function __construct()
	{
		parent::__construct();
		$this->load->model('M_kategori_pasien');
		$this->load->helper('url');
		$this->load->library('form_validation');

		if ($this->session->userdata('status') != "login") {
			redirect(base_url("Auth"));
		}
	}

	//TAMPIL KATEGORI PASIEN
	public function index()
	{
		$data['data'] = $this->M_kategori_pasien->list_data()->result();
		$this->load->view('kategoriPasien', $data);
	}

	// TAMBAH KATEGORI PASIEN
	function save()
	{

		$this->form_validation->set_rules('nama', 'Kategori Pasien', 'required|is_unique[kategori_pasien.nama]');
		if ($this->form_validation->run() == true) {
			$nama = $this->input->post('nama');

			$data = array(
				'nama' => $nama,
				'created_at' => date('Y-m-d H:i:s')
			);

			$this->session->set_flashdata('success', 'Data berhasil disimpan !');
			$this->M_kategori_pasien->insert($data, 'kategori_pasien');
			redirect('kategoriPasien');
		} else {
			redirect('kategoriPasien');
		}
	}

	// EDIT KATEGORI PASIEN
	function edit($id)
	{
		$where = array('id' => $id);
		$data['data'] = $this->M_kategori_pasien->edit($where, 'kategori_pasien')->row_array();
		echo json_encode($data);
	}

	// UPDATE KATEGORI PASIEN
	function update()
	{
		$this->form_validation->set_rules('nama', 'Kategori Pasien', 'required');
		if ($this->form_validation->run() == true) {
			$id = $this->input->post('id');
			$nama = $this->input->post('nama');

			$data = array(
				'nama' => $nama,
				'updated_at' => date('Y-m-d H:i:s')
			);

			$where = array(
				'id' => $id
			);

			$this->session->set_flashdata('success', 'Data berhasil diubah !');
			$this->M_kategori_pasien->update($where, $data, 'kategori_pasien');
			redirect('kategoriPasien');
		} else {
			redirect('kategoriPasien');
		}
	}

	// HAPUS KATEGORI PASIEN
	public function delete($id)
	{
		$where = array('id' => $id);
		$this->M_kategori_pasien->delete($where, 'kategori_pasien');
		$this->session->set_flashdata('hapus', 'Data berhasil dihapus !');
		redirect('kategoriPasien');
	}
}
